{{repeat_event}}
IF = {
    limit = { {{has_building}}}
    {% if building.pay_event!=None -%}
    province_event = { id = {{building.pay_event}}}
    {% endif -%}
    {% if building.prestige_cost()!=None -%}
        event_target:{{payee}} = { {{building.commands.pay_prestige()}} }
    {% endif -%}
    trigger_switch = {
        on_trigger = has_province_flag         
        {% for breakpoint in breakpoints -%}
        {{breakpoint.flag}} = { 
            province_event = { id = {{building.finish_event}} days = {{breakpoint.value}}}
            add_province_modifier = { name = {{building.modifier()}} duration = {{breakpoint.value}}}
            {% if debug -%}
            log = "AB started a building {{building.name()}} and added modifier {{building.modifier()}} for {{breakpoint.value}} days."
            {% endif -%}
            }
        {% endfor -%}
        }
}